
// Ellenőrzi, hogy van-e már "twd_user_info" nevű süti
var visitorId = getVisitorId(); // Egyedi látogató azonosító lekérése

if (!document.cookie.includes("twd_user_info=" + visitorId)) {
  // Ha nincs, létrehozza a sütit az egyedi látogató azonosítóval
  var now = new Date();
//  now.setHours(23, 59, 59, 0); // Beállítja a lejárati időt a következő napra éjfélkor
//  now.setSeconds(now.getSeconds() + 10); // Hozzáad 10 másodpercet a jelenlegi időhöz  
    now.setHours(now.getHours() + 12); // Beállítja a lejárati időt 12 órával a jelenlegi idő után  
  
  document.cookie = "twd_user_info=" + visitorId + "; expires=" + now.toUTCString() + "; path=/";

  // Növeli az adott látogató látogatásainak számát
  var visitorVisitCount = parseInt(localStorage.getItem("visitor_" + visitorId + "_visits")) || 0;
  visitorVisitCount++;
  localStorage.setItem("visitor_" + visitorId + "_visits", visitorVisitCount.toString());
}

// Megjeleníti az adott látogató látogatásainak számát
var visitorVisitCount = parseInt(localStorage.getItem("visitor_" + visitorId + "_visits")) || 0;
//document.getElementById("visitor-count").textContent = "Látogató #" + visitorId + " látogatásai: " + visitorVisitCount;
document.getElementById("visitor-id").textContent = visitorId;
document.getElementById("visitor-count").textContent =  visitorVisitCount;

// Hozzáad egy gombot az adott látogató adatainak törléséhez
document.getElementById("delete-cookie-button").addEventListener("click", function() {
  document.cookie = "twd_user_info=" + visitorId + "; expires=Thu, 01 Jan 1970 00:00:00 UTC; path=/";
  localStorage.removeItem("visitor_" + visitorId + "_visits");
  alert("A látogató #" + visitorId + " adatai törölve lettek.");
});

// Egyedi látogató azonosító generálása vagy lekérése
function getVisitorId() {
  var visitorId = localStorage.getItem("visitorId");
  if (!visitorId) {
    // Ha nincs még egyedi azonosító, generálunk egyet
    visitorId = generateVisitorId();
    localStorage.setItem("visitorId", visitorId);
  }
  return visitorId;
}

// Egyedi látogató azonosító generálása
function generateVisitorId() {
  return "visitor_" + Date.now();
}


