// Ellenőrzi, hogy van-e már "twd_2_user_info" nevű süti
var visitorId = getVisitorId(); // Egyedi látogató azonosító lekérése

if (!document.cookie.includes("twd_2_user_info=" + visitorId)) {
  // Ha nincs, létrehozza a sütit az egyedi látogató azonosítóval
  var now = new Date();
  now.setHours(now.getHours() + 12); // Beállítja a lejárati időt 12 órával a jelenlegi idő után
  
  document.cookie = "twd_2_user_info=" + visitorId + "; expires=" + now.toUTCString() + "; path=/";

  // Növeli az adott látogató látogatásainak számát
  var visitorVisitCount = parseInt(localStorage.getItem("twd_2_visitor_" + visitorId + "_visits")) || 0;
  visitorVisitCount++;
  localStorage.setItem("twd_2_visitor_" + visitorId + "_visits", visitorVisitCount.toString());
}

// Megjeleníti az adott látogató látogatásainak számát
var visitorVisitCount = parseInt(localStorage.getItem("twd_2_visitor_" + visitorId + "_visits")) || 0;
document.getElementById("visitor-id-2").textContent = visitorId;
document.getElementById("visitor-count-2").textContent =  visitorVisitCount;

// Hozzáad egy gombot az adott látogató adatainak törléséhez
document.getElementById("zizu-delete-cookie-button").addEventListener("click", function() {
  document.cookie = "twd_2_user_info=" + visitorId + "; expires=Thu, 01 Jan 1970 00:00:00 UTC; path=/";
  localStorage.removeItem("twd_2_visitor_" + visitorId + "_visits");
  alert("A látogató #" + visitorId + " adatai törölve lettek.");
});

// Egyedi látogató azonosító generálása vagy lekérése
function getVisitorId() {
  var visitorId = localStorage.getItem("twd_2_visitorId");
  if (!visitorId) {
    // Ha nincs még egyedi azonosító, generálunk egyet
    visitorId = generateVisitorId();
    localStorage.setItem("twd_2_visitorId", visitorId);
  }
  return visitorId;
}

// Egyedi látogató azonosító generálása
function generateVisitorId() {
  return "twd_2_visitor_" + Date.now();
}
